	/* premenná MODL_OPT1 (nepovinná)
	 * 
	 * 2006-08-01: dynamické zisťovanie hodnôt parametrov */
	i = 0; /* param[0] by mal síce obsahovať query type, ale radšej kontrolujeme od 0 */
	Log("pokúšam sa zistiť hodnotu parametra %s...\n", STR_MODL_OPT1);
	while((equalsi(pom_MODL_OPT[1], STR_EMPTY)) && (i < pocet)){
		// Log("...parameter %i (meno: %s, hodnota: %s)\n", i, param[i].name, param[i].val);
		if(equals(param[i].name, STR_MODL_OPT1)){
			/* ide o parameter STR_MODL_OPT1 */
			mystrcpy(pom_MODL_OPT[1], param[i].val, SMALL);
			Log("hodnota parametra %s je %s.\n", STR_MODL_OPT1, pom_MODL_OPT[1]);
		}
		i++;
	}
	if(equalsi(pom_MODL_OPT[1], STR_EMPTY)){
		Log("Nebola zadaná premenná %s (nevadí).\n", STR_MODL_OPT1);
	}

	/* premenná MODL_OPT2 (nepovinná)
	 * 
	 * 2006-08-01: dynamické zisťovanie hodnôt parametrov */
	i = 0; /* param[0] by mal síce obsahovať query type, ale radšej kontrolujeme od 0 */
	Log("pokúšam sa zistiť hodnotu parametra %s...\n", STR_MODL_OPT2);
	while((equalsi(pom_MODL_OPT[2], STR_EMPTY)) && (i < pocet)){
		// Log("...parameter %i (meno: %s, hodnota: %s)\n", i, param[i].name, param[i].val);
		if(equals(param[i].name, STR_MODL_OPT2)){
			/* ide o parameter STR_MODL_OPT2 */
			mystrcpy(pom_MODL_OPT[2], param[i].val, SMALL);
			Log("hodnota parametra %s je %s.\n", STR_MODL_OPT2, pom_MODL_OPT[2]);
		}
		i++;
	}
	if(equalsi(pom_MODL_OPT[2], STR_EMPTY)){
		Log("Nebola zadaná premenná %s (nevadí).\n", STR_MODL_OPT2);
	}
	
	/* premenná MODL_OPT3 (nepovinná)
	 * 
	 * 2006-08-01: dynamické zisťovanie hodnôt parametrov */
	i = 0; /* param[0] by mal síce obsahovať query type, ale radšej kontrolujeme od 0 */
	Log("pokúšam sa zistiť hodnotu parametra %s...\n", STR_MODL_OPT3);
	while((equalsi(pom_MODL_OPT[3], STR_EMPTY)) && (i < pocet)){
		// Log("...parameter %i (meno: %s, hodnota: %s)\n", i, param[i].name, param[i].val);
		if(equals(param[i].name, STR_MODL_OPT3)){
			/* ide o parameter STR_MODL_OPT3 */
			mystrcpy(pom_MODL_OPT[3], param[i].val, SMALL);
			Log("hodnota parametra %s je %s.\n", STR_MODL_OPT3, pom_MODL_OPT[3]);
		}
		i++;
	}
	if(equalsi(pom_MODL_OPT[3], STR_EMPTY)){
		Log("Nebola zadaná premenná %s (nevadí).\n", STR_MODL_OPT3);
	}
	
	/* premenná MODL_OPT4 (nepovinná)
	 * 
	 * 2006-08-01: dynamické zisťovanie hodnôt parametrov */
	i = 0; /* param[0] by mal síce obsahovať query type, ale radšej kontrolujeme od 0 */
	Log("pokúšam sa zistiť hodnotu parametra %s...\n", STR_MODL_OPT4);
	while((equalsi(pom_MODL_OPT[4], STR_EMPTY)) && (i < pocet)){
		// Log("...parameter %i (meno: %s, hodnota: %s)\n", i, param[i].name, param[i].val);
		if(equals(param[i].name, STR_MODL_OPT4)){
			/* ide o parameter STR_MODL_OPT4 */
			mystrcpy(pom_MODL_OPT[4], param[i].val, SMALL);
			Log("hodnota parametra %s je %s.\n", STR_MODL_OPT4, pom_MODL_OPT[4]);
		}
		i++;
	}
	if(equalsi(pom_MODL_OPT[4], STR_EMPTY)){
		Log("Nebola zadaná premenná %s (nevadí).\n", STR_MODL_OPT4);
	}

	/* premenná MODL_OPT6 (nepovinná); pridaná podľa OPT1 2007-06-01
	 * 
	 * 2006-08-01: dynamické zisťovanie hodnôt parametrov */
	i = 0; /* param[0] by mal síce obsahovať query type, ale radšej kontrolujeme od 0 */
	Log("pokúšam sa zistiť hodnotu parametra %s...\n", STR_MODL_OPT6);
	while((equalsi(pom_MODL_OPT[6], STR_EMPTY)) && (i < pocet)){
		// Log("...parameter %i (meno: %s, hodnota: %s)\n", i, param[i].name, param[i].val);
		if(equals(param[i].name, STR_MODL_OPT6)){
			/* ide o parameter STR_MODL_OPT6 */
			mystrcpy(pom_MODL_OPT[6], param[i].val, SMALL);
			Log("hodnota parametra %s je %s.\n", STR_MODL_OPT6, pom_MODL_OPT[6]);
		}
		i++;
	}
	if(equalsi(pom_MODL_OPT[6], STR_EMPTY)){
		Log("Nebola zadaná premenná %s (nevadí).\n", STR_MODL_OPT6);
	}

	/* premenná MODL_OPT7 (nepovinná); pridaná podľa OPT1 2007-06-01
	 * 
	 * 2006-08-01: dynamické zisťovanie hodnôt parametrov */
	i = 0; /* param[0] by mal síce obsahovať query type, ale radšej kontrolujeme od 0 */
	Log("pokúšam sa zistiť hodnotu parametra %s...\n", STR_MODL_OPT7);
	while((equalsi(pom_MODL_OPT[7], STR_EMPTY)) && (i < pocet)){
		// Log("...parameter %i (meno: %s, hodnota: %s)\n", i, param[i].name, param[i].val);
		if(equals(param[i].name, STR_MODL_OPT7)){
			/* ide o parameter STR_MODL_OPT7 */
			mystrcpy(pom_MODL_OPT[7], param[i].val, SMALL);
			Log("hodnota parametra %s je %s.\n", STR_MODL_OPT7, pom_MODL_OPT[7]);
		}
		i++;
	}
	if(equalsi(pom_MODL_OPT[7], STR_EMPTY)){
		Log("Nebola zadaná premenná %s (nevadí).\n", STR_MODL_OPT7);
	}

	/* premenná MODL_OPT8 (nepovinná); pridaná podľa OPT7 2011-03-22
	 * 
	 * 2006-08-01: dynamické zisťovanie hodnôt parametrov */
	i = 0; /* param[0] by mal síce obsahovať query type, ale radšej kontrolujeme od 0 */
	Log("pokúšam sa zistiť hodnotu parametra %s...\n", STR_MODL_OPT8);
	while((equalsi(pom_MODL_OPT[8], STR_EMPTY)) && (i < pocet)){
		// Log("...parameter %i (meno: %s, hodnota: %s)\n", i, param[i].name, param[i].val);
		if(equals(param[i].name, STR_MODL_OPT8)){
			/* ide o parameter STR_MODL_OPT8 */
			mystrcpy(pom_MODL_OPT[8], param[i].val, SMALL);
			Log("hodnota parametra %s je %s.\n", STR_MODL_OPT8, pom_MODL_OPT[8]);
		}
		i++;
	}
	if(equalsi(pom_MODL_OPT[8], STR_EMPTY)){
		Log("Nebola zadaná premenná %s (nevadí).\n", STR_MODL_OPT8);
	}

	/* premenná MODL_OPT9 (nepovinná); pridaná podľa OPT8 2011-03-25
	 * 
	 * 2006-09-01: dynamické zisťovanie hodnôt parametrov */
	i = 0; /* param[0] by mal síce obsahovať query type, ale radšej kontrolujeme od 0 */
	Log("pokúšam sa zistiť hodnotu parametra %s...\n", STR_MODL_OPT9);
	while((equalsi(pom_MODL_OPT[9], STR_EMPTY)) && (i < pocet)){
		// Log("...parameter %i (meno: %s, hodnota: %s)\n", i, param[i].name, param[i].val);
		if(equals(param[i].name, STR_MODL_OPT9)){
			/* ide o parameter STR_MODL_OPT9 */
			mystrcpy(pom_MODL_OPT[9], param[i].val, SMALL);
			Log("hodnota parametra %s je %s.\n", STR_MODL_OPT9, pom_MODL_OPT[9]);
		}
		i++;
	}
	if(equalsi(pom_MODL_OPT[9], STR_EMPTY)){
		Log("Nebola zadaná premenná %s (nevadí).\n", STR_MODL_OPT9);
	}

	/* premenná MODL_OPT0 (nepovinná); pridaná podľa OPT9 2011-04-04
	 * 
	 * 2006-00-01: dynamické zisťovanie hodnôt parametrov */
	i = 0; /* param[0] by mal síce obsahovať query type, ale radšej kontrolujeme od 0 */
	Log("pokúšam sa zistiť hodnotu parametra %s...\n", STR_MODL_OPT0);
	while((equalsi(pom_MODL_OPT[0], STR_EMPTY)) && (i < pocet)){
		// Log("...parameter %i (meno: %s, hodnota: %s)\n", i, param[i].name, param[i].val);
		if(equals(param[i].name, STR_MODL_OPT0)){
			/* ide o parameter STR_MODL_OPT0 */
			mystrcpy(pom_MODL_OPT[0], param[i].val, SMALL);
			Log("hodnota parametra %s je %s.\n", STR_MODL_OPT0, pom_MODL_OPT[0]);
		}
		i++;
	}
	if(equalsi(pom_MODL_OPT[0], STR_EMPTY)){
		Log("Nebola zadaná premenná %s (nevadí).\n", STR_MODL_OPT0);
	}

	/* premenná MODL_OPT5 (nepovinná) -- doplnené 2011-01-26, asi sa na ňu predtým zabudlo?... */
	i = 0; /* param[0] by mal síce obsahovať query type, ale radšej kontrolujeme od 0 */
	Log("pokúšam sa zistiť hodnotu parametra %s...\n", STR_MODL_OPT5);
	while((equalsi(pom_MODL_OPT[5], STR_EMPTY)) && (i < pocet)){
		// Log("...parameter %i (meno: %s, hodnota: %s)\n", i, param[i].name, param[i].val);
		if(equals(param[i].name, STR_MODL_OPT5)){
			/* ide o parameter STR_MODL_OPT5 */
			mystrcpy(pom_MODL_OPT[5], param[i].val, SMALL);
			Log("hodnota parametra %s je %s.\n", STR_MODL_OPT5, pom_MODL_OPT[5]);
		}
		i++;
	}
	if(equalsi(pom_MODL_OPT[5], STR_EMPTY)){
		Log("Nebola zadaná premenná %s (nevadí).\n", STR_MODL_OPT5);
	}

	/* premenná MODL_OPTF1 (nepovinná) */
	i = 0; /* param[0] by mal síce obsahovať query type, ale radšej kontrolujeme od 0 */
	Log("pokúšam sa zistiť hodnotu parametra %s...\n", STR_MODL_OPTF1);
	while((equalsi(pom_MODL_OPTF[1], STR_EMPTY)) && (i < pocet)){
		// Log("...parameter %i (meno: %s, hodnota: %s)\n", i, param[i].name, param[i].val);
		if(equals(param[i].name, STR_MODL_OPTF1)){
			/* ide o parameter STR_MODL_OPTF1 */
			mystrcpy(pom_MODL_OPTF[1], param[i].val, SMALL);
			Log("hodnota parametra %s je %s.\n", STR_MODL_OPTF1, pom_MODL_OPTF[1]);
		}
		i++;
	}
	if(equalsi(pom_MODL_OPTF[1], STR_EMPTY)){
		Log("Nebola zadaná premenná %s (nevadí).\n", STR_MODL_OPTF1);
	}

	/* premenná MODL_OPTF2 (nepovinná) */
	i = 0; /* param[0] by mal síce obsahovať query type, ale radšej kontrolujeme od 0 */
	Log("pokúšam sa zistiť hodnotu parametra %s...\n", STR_MODL_OPTF2);
	while((equalsi(pom_MODL_OPTF[2], STR_EMPTY)) && (i < pocet)){
		// Log("...parameter %i (meno: %s, hodnota: %s)\n", i, param[i].name, param[i].val);
		if(equals(param[i].name, STR_MODL_OPTF2)){
			/* ide o parameter STR_MODL_OPTF2 */
			mystrcpy(pom_MODL_OPTF[2], param[i].val, SMALL);
			Log("hodnota parametra %s je %s.\n", STR_MODL_OPTF2, pom_MODL_OPTF[2]);
		}
		i++;
	}
	if(equalsi(pom_MODL_OPTF[2], STR_EMPTY)){
		Log("Nebola zadaná premenná %s (nevadí).\n", STR_MODL_OPTF2);
	}
	
	/* premenná MODL_OPTF3 (nepovinná) */
	i = 0; /* param[0] by mal síce obsahovať query type, ale radšej kontrolujeme od 0 */
	Log("pokúšam sa zistiť hodnotu parametra %s...\n", STR_MODL_OPTF3);
	while((equalsi(pom_MODL_OPTF[3], STR_EMPTY)) && (i < pocet)){
		// Log("...parameter %i (meno: %s, hodnota: %s)\n", i, param[i].name, param[i].val);
		if(equals(param[i].name, STR_MODL_OPTF3)){
			/* ide o parameter STR_MODL_OPTF3 */
			mystrcpy(pom_MODL_OPTF[3], param[i].val, SMALL);
			Log("hodnota parametra %s je %s.\n", STR_MODL_OPTF3, pom_MODL_OPTF[3]);
		}
		i++;
	}
	if(equalsi(pom_MODL_OPTF[3], STR_EMPTY)){
		Log("Nebola zadaná premenná %s (nevadí).\n", STR_MODL_OPTF3);
	}
	
	/* premenná MODL_OPTF4 (nepovinná) */
	i = 0; /* param[0] by mal síce obsahovať query type, ale radšej kontrolujeme od 0 */
	Log("pokúšam sa zistiť hodnotu parametra %s...\n", STR_MODL_OPTF4);
	while((equalsi(pom_MODL_OPTF[4], STR_EMPTY)) && (i < pocet)){
		// Log("...parameter %i (meno: %s, hodnota: %s)\n", i, param[i].name, param[i].val);
		if(equals(param[i].name, STR_MODL_OPTF4)){
			/* ide o parameter STR_MODL_OPTF4 */
			mystrcpy(pom_MODL_OPTF[4], param[i].val, SMALL);
			Log("hodnota parametra %s je %s.\n", STR_MODL_OPTF4, pom_MODL_OPTF[4]);
		}
		i++;
	}
	if(equalsi(pom_MODL_OPTF[4], STR_EMPTY)){
		Log("Nebola zadaná premenná %s (nevadí).\n", STR_MODL_OPTF4);
	}

	/* premenná MODL_OPTF5 (nepovinná) */
	i = 0; /* param[0] by mal síce obsahovať query type, ale radšej kontrolujeme od 0 */
	Log("pokúšam sa zistiť hodnotu parametra %s...\n", STR_MODL_OPTF5);
	while((equalsi(pom_MODL_OPTF[5], STR_EMPTY)) && (i < pocet)){
		// Log("...parameter %i (meno: %s, hodnota: %s)\n", i, param[i].name, param[i].val);
		if(equals(param[i].name, STR_MODL_OPTF5)){
			/* ide o parameter STR_MODL_OPTF5 */
			mystrcpy(pom_MODL_OPTF[5], param[i].val, SMALL);
			Log("hodnota parametra %s je %s.\n", STR_MODL_OPTF5, pom_MODL_OPTF[5]);
		}
		i++;
	}
	if(equalsi(pom_MODL_OPTF[5], STR_EMPTY)){
		Log("Nebola zadaná premenná %s (nevadí).\n", STR_MODL_OPTF5);
	}

	/* premenná MODL_OPTF8 (nepovinná) */
	i = 0; /* param[0] by mal síce obsahovať query type, ale radšej kontrolujeme od 0 */
	Log("pokúšam sa zistiť hodnotu parametra %s...\n", STR_MODL_OPTF8);
	while((equalsi(pom_MODL_OPTF[8], STR_EMPTY)) && (i < pocet)){
		// Log("...parameter %i (meno: %s, hodnota: %s)\n", i, param[i].name, param[i].val);
		if(equals(param[i].name, STR_MODL_OPTF8)){
			/* ide o parameter STR_MODL_OPTF8 */
			mystrcpy(pom_MODL_OPTF[8], param[i].val, SMALL);
			Log("hodnota parametra %s je %s.\n", STR_MODL_OPTF8, pom_MODL_OPTF[8]);
		}
		i++;
	}
	if(equalsi(pom_MODL_OPTF[8], STR_EMPTY)){
		Log("Nebola zadaná premenná %s (nevadí).\n", STR_MODL_OPTF8);
	}

	/* premenná MODL_OPTF9 (nepovinná) */
	i = 0; /* param[0] by mal síce obsahovať query type, ale radšej kontrolujeme od 0 */
	Log("pokúšam sa zistiť hodnotu parametra %s...\n", STR_MODL_OPTF9);
	while((equalsi(pom_MODL_OPTF[9], STR_EMPTY)) && (i < pocet)){
		// Log("...parameter %i (meno: %s, hodnota: %s)\n", i, param[i].name, param[i].val);
		if(equals(param[i].name, STR_MODL_OPTF9)){
			/* ide o parameter STR_MODL_OPTF9 */
			mystrcpy(pom_MODL_OPTF[9], param[i].val, SMALL);
			Log("hodnota parametra %s je %s.\n", STR_MODL_OPTF9, pom_MODL_OPTF[9]);
		}
		i++;
	}
	if(equalsi(pom_MODL_OPTF[9], STR_EMPTY)){
		Log("Nebola zadaná premenná %s (nevadí).\n", STR_MODL_OPTF9);
	}

	/* premenná MODL_OPTF0 (nepovinná) */
	i = 0; /* param[0] by mal síce obsahovať query type, ale radšej kontrolujeme od 0 */
	Log("pokúšam sa zistiť hodnotu parametra %s...\n", STR_MODL_OPTF0);
	while((equalsi(pom_MODL_OPTF[0], STR_EMPTY)) && (i < pocet)){
		// Log("...parameter %i (meno: %s, hodnota: %s)\n", i, param[i].name, param[i].val);
		if(equals(param[i].name, STR_MODL_OPTF0)){
			/* ide o parameter STR_MODL_OPTF0 */
			mystrcpy(pom_MODL_OPTF[0], param[i].val, SMALL);
			Log("hodnota parametra %s je %s.\n", STR_MODL_OPTF0, pom_MODL_OPTF[0]);
		}
		i++;
	}
	if(equalsi(pom_MODL_OPTF[0], STR_EMPTY)){
		Log("Nebola zadaná premenná %s (nevadí).\n", STR_MODL_OPTF0);
	}

